<?php
/* -----------------------------------------------------------------------------------------------
 *  MySQLi CRUDclassのAPI接続：MySQLiオブジェクト指向接続:「レコードの検索」の実行
 *                          とsuper classメソッドの混在した利用例
 *  2016.07.01 作成 yoshi of CXMedia Inc.
 * -----------------------------------------------------------------------------------------------
 */
// MySQLiクラスを拡張（extends）したclassのロード
require_once "php_class/MySQLi_eCRUD.class.php";

// MySQLデータベース接続の初期設定
$db_define = array(
	'DBhost'  => 'localhost',    //接続サーバ（URL）
	'DBuser'  => 'user',         //DB接続のユーザ名
	'DBpwd'   => 'eLerning_PWD', //DB接続のパスワード
	'DBname'  => 'list_db',      //接続データベース名
	'DBtblm'  => 'persons',      //テーブル名
);
// MySQLi接続のインスタンス生成
$db = new MySQLi_eCRUD($db_define);

// MySQL接続の成功メッセージ表示
echo "■MySQLi CRUD:「{$db->DBname}」のデータベース接続（レコードの検索）！",'<br>';

/* ---------------------------------------------------------------
 *     「レコードの検索」のSearch()の実行
 * --------------------------------------------------------------- */
// レコード検索のデータ
$str = 'KGW2'; // 県コードの値設定

// レコード検索のメソッド
if(!$db->Search($str,$out_data,'pref_code') ){
	echo $db->DBerror,'→【 SQL 】:',$db->DBsql,'<br>';
} else {
	// 成功したSQL文の表示
	echo 'レコード検索の成功！→「',$db->DBsql,'」<br>';
	
	// 結果を表示
	foreach( $out_data as $item ){
		//echo '<pre>'; var_dump($item); echo '</pre>';
		printf("IDは、%s→%s 県の %s 市にいる人の名前は、 %sでメールは、%s です。<br>", 
		     $item['seq_num'],$item['pref_code'],$item['city_code'],$item['name'],$item['email']);
	}
}

// DBクローズメソッド：「Close()」の実行
$db->Close();

?>
